`lqr_carver_set_image_type`
Prev | Carver objects | Next

## Name

lqr_carver_set_image_type — sets the image type of an `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_set_image_type(` | LqrCarver* carver,
| LqrImageType image_type`)`;

## Description

The function `lqr_carver_set_image_type` sets the image type of the `LqrCarver` pointed to by `carver` to `image_type`.

If `image_type` is equal to `LQR_CUSTOM_IMAGE`, it is assumed that there are no alpha or black channels. You can set those independently using `lqr_carver_set_alpha_channel`(3) and `lqr_carver_set_black_channel`(3).

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrImageType(3), `lqr_carver_new`(3), `lqr_carver_set_alpha_channel`(3), `lqr_carver_set_black_channel`(3), `lqr_carver_get_image_type`(3)

Prev | Up | Next
`lqr_carver_init` | Home | `lqr_carver_set_alpha_channel`